package ch.zhaw.pm2.multichat.client;

public class Message {
    private MessageType type;
    private String sender;
    private String receiver;
    private String text;

    public Message(MessageType type, String sender, String receiver, String text) {
        this.type = type;
        this.sender = sender;
        this.receiver = receiver;
        this.text = text;
    }

    public boolean matchesFilter(String filter){
        return sender.contains(filter) ||
            receiver.contains(filter) ||
            text.contains(filter);
    }

    public MessageType getType() {
        return type;
    }

    public String getSender() {
        return sender;
    }

    public String getReceiver() {
        return receiver;
    }

    public String getText() {
        return text;
    }

    public enum MessageType {
        INFO, MESSAGE, ERROR;
    }
}
